Chromium Code Reviews
Help | Chromium Project | Sign in
(4)

Issue 2738613003: predictors: Add Manifest table to ResourcePrefetchPredictor. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 3 weeks ago by alexilin
Modified:
1 month, 3 weeks ago
Reviewers:
Benoit L
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

predictors: Add Manifest table to ResourcePrefetchPredictor. The very first step to reuse Bork manifests in ResourcePrefetchPredictor. This CL adds a new table to the predictor database. BUG=699115 Review-Url: https://codereview.chromium.org/2738613003 Cr-Commit-Position: refs/heads/master@{#455798} Committed: https://chromium.googlesource.com/chromium/src/+/8b3c17d1e53fade1111ec0fe9aed8a6f891d5331

Patch Set 1 #

Total comments: 3

Patch Set 2 : Update database version. #

Patch Set 3 : Add caution message. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+307 lines, -36 lines) Patch
M chrome/browser/BUILD.gn View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/predictors/resource_prefetch_predictor.h View 3 chunks +4 lines, -1 line 0 comments Download
M chrome/browser/predictors/resource_prefetch_predictor.cc View 9 chunks +26 lines, -3 lines 0 comments Download
M chrome/browser/predictors/resource_prefetch_predictor_tables.h View 1 7 chunks +16 lines, -6 lines 0 comments Download
M chrome/browser/predictors/resource_prefetch_predictor_tables.cc View 11 chunks +50 lines, -6 lines 0 comments Download
M chrome/browser/predictors/resource_prefetch_predictor_tables_unittest.cc View 1 15 chunks +130 lines, -12 lines 0 comments Download
M chrome/browser/predictors/resource_prefetch_predictor_test_util.h View 2 chunks +16 lines, -0 lines 0 comments Download
M chrome/browser/predictors/resource_prefetch_predictor_test_util.cc View 3 chunks +44 lines, -0 lines 0 comments Download
M chrome/browser/predictors/resource_prefetch_predictor_unittest.cc View 9 chunks +18 lines, -8 lines 0 comments Download
M components/precache/core/proto/precache.proto View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 12 (4 generated)
alexilin
Hi Benoit, This is a first CL to bring power of precache to ResourcePrefetchPredictor. PTAL! ...
1 month, 3 weeks ago (2017-03-07 16:08:16 UTC) #2
alexilin
I've just realized that we don't have a date field in a manifest that's unfortunate. ...
1 month, 3 weeks ago (2017-03-08 09:10:16 UTC) #3
Benoit L
Thanks! One high-level question: How do we make sure that the database version gets updated ...
1 month, 3 weeks ago (2017-03-08 15:03:09 UTC) #4
alexilin
On 2017/03/08 15:03:09, Benoit L wrote: > Thanks! > > One high-level question: How do ...
1 month, 3 weeks ago (2017-03-08 15:22:00 UTC) #5
alexilin
Caution comment was added. CL is ready to be reviewed.
1 month, 3 weeks ago (2017-03-09 16:40:08 UTC) #6
Benoit L
lgtm, thanks. https://codereview.chromium.org/2738613003/diff/1/chrome/browser/predictors/resource_prefetch_predictor_test_util.h File chrome/browser/predictors/resource_prefetch_predictor_test_util.h (right): https://codereview.chromium.org/2738613003/diff/1/chrome/browser/predictors/resource_prefetch_predictor_test_util.h#newcode87 chrome/browser/predictors/resource_prefetch_predictor_test_util.h:87: namespace precache { On 2017/03/07 16:08:15, alexilin ...
1 month, 3 weeks ago (2017-03-09 17:00:28 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2738613003/40001
1 month, 3 weeks ago (2017-03-09 17:08:38 UTC) #9
commit-bot: I haz the power
1 month, 3 weeks ago (2017-03-09 18:28:32 UTC) #12
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/8b3c17d1e53fade1111ec0fe9aed...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46